let S = (sel) => document.querySelector(sel)

  let team = [
    {
      "name": "Matisse Ferrer",
      "image": "",
      "keywords": ["Enzymology", "Enzyme engineering", "Astrobiology", "Bioremediation", "Synthetic biology", "Living Materials", "Structural Biochemistry"],
      "description": "I recently completed my Master's degree in Structural and Functional Biochemistry - Molecular Biology at Université Claude Bernard Lyon 1. I’m passionate about enzymatic and metabolic engineering, Synthetic Biology/Xenobiology, and computational biochemistry and enzymology. I'm particularly passionate about bioenergies and bioelectrochemistry (including biosensors, microbial/enzymatic fuel cells, biofuels), bioremediation, and astrobiology. Participating in the iGEM competition has been a dream for the past five years, and I’m thrilled to be part of the Évry Paris-Saclay team, working on this project!"
    },
    {
      "name": "Victor Robert Lambrecht",
      "image": "",
      "keywords": ["Biotech", "AI", "Theoretical Biology"],
      "description": "I am currently part of the drylab team in our iGEM project, working on a program that generates and evaluates new protein mutants for improved ligand interaction using AI and docking analysis. My passions lie in theoretical biology, neuroscience, programming, and mathematics, as I believe they hold incredible potential to impact global health. I aspire to pursue a PhD and either join an innovative biotech company like Moderna or eventually start my own venture."
    },
    {
      "name": "Fethi Boughmadi",
      "image": "",
      "keywords": ["Immunology", "Cell Biology", "Genetics", "Biotherapies"],
      "description": "Graduated from a Sino-French master's degree in biotherapies, I am particularly passionate about immunology. The vast involvement of the immune system in pathologies and immune homeostasis arouses my curiosity and pushes me to pursue the biomedical field. Through my experience in China, I am inspired to look towards an international career and work in a global health company."
    },
    {
      "name": "Clara Sube",
      "image": "",
      "keywords": ["Bioengineering", "Biotech", "Innovation"],
      "description": "Currently in the last year of my biotechnology engineering formation, I always have been more interested by the tools for research than applied R&D. I am thrilled I joined this team because this project is a wonderful technical innovation."
    },
    {
      "name": "Nathan Jomby Moukoko",
      "image": "",
      "keywords": ["Biology", "Neuroscience", "Philosophy"],
      "description": "I have been passionate about science since my childhood. I am currently in my 3rd year bachelor in biology. The reason I participate in this iGEM project is because I am next to the work of a researcher which is pretty interesting. The team aspect of it is also great because we have a bunch of different people interacting, and everyone can have their own creativity."
    },
    {
      "name": "Hugo Pitval",
      "image": "",
      "keywords": ["Biotechnology", "Synthetic Biology", "Protein Engineering", "Green Biotechs"],
      "description": "I just graduated from the Master in System & Synthetic Biology from Evry Paris-Saclay University, and also have an engineering degree from the National School of Technologies of Biomolecules of Bordeaux (ENSTBB). Participating in this year’s iGEM with the Evry Paris-Saclay team is a wonderful way to finish my studies and be part of an incredible research project. Among my favorite areas of interest are protein engineering and green biotechs, two fields that can revolutionize our future in many aspects. PHAGEVO is the perfect combination of both, and I am very grateful to be part of it!"
    },
    
    {
      "name": "Sophia Molteni",
      "image": "",
      "keywords": ["biotherapies", "health", "nutrition", "gut-brain axis", "immunology","stem cells"],
      "description": "I graduated from a tissue, cell and gene biotherapies master’s degree at Evry Paris-Saclay university and I am currently studying in a health and nutrition master's degree at AgroParisTech Paris-saclay university. IGEM was an amazing adventure, as part of the wet lab team I could deepen my knowledge and passion for biology science, as well as sharpen my laboratory skills. I grew interested in biotherapies in the health and nutrition field with leaning for immunology, neurology and stem cells. The IGEM international aspect is utterly in adequacy with my professional project, indeed I attend to continue my studies abroad. I am thankful for everything IGEM journey offered me during this valuable experience !"
    },
    {
      "name": "Talissa Kassably",
      "image": "",
      "keywords": ["Synthetic Biology", "Bioinformatics", "Neurobiology", "Computational Biology"],
      "description": "I am currently in my third year of a dual degree in Life Sciences and Computer Science at Université Paris-Saclay at Evry, driven by a passion for understanding and harnessing the power of biological systems. Synthetic biology excites me as it offers endless possibilities for redesigning life at a molecular level, while bioinformatics fuels my curiosity about how computational tools can unravel the complexities of biology. The iGEM competition has been a thrilling experience, as it brings together my love for problem-solving and collaboration, allowing me to contribute to pioneering projects that push the boundaries of science and technology and particularly with this incredible team!"
    },
    
    {
      "name": "Doriane Blaise",
      "image": "",
      "keywords": ["Biotherapy", "Hardworking", "Synthetic Biology", "Regenerative medicine", "Stem cell", "Neurobiology"],
      "description": "Currently pursuing an M2 BTCG at the University of Évry, I deeply enjoy helping others, as it gives meaning to what I do. My curiosity about how the human body works and my desire to contribute to improving people's lives have led me to develop a strong interest in translational research. Having been involved in iGEM with the Évry Paris-Saclay team since 2020, I would not have hesitated to contribute this year to such a fascinating project."
    },
    {
      "name": "Florent Cha",
      "image": "https://static.igem.wiki/teams/5061/wiki/figures/team/florent-color.webp",
      "keywords": ["Synthetic Biology", "Environmental Biotechnology", "Organic Waste Management", "Law And Legislations"],
      "description": ""
    },
    {
      "name": "Daria Kurganskaya",
      "image": "",
      "keywords": [""],
      "description": ""
    },{
      "name": "Mathéo Tripnaux-Moreau",
      "image": "https://static.igem.wiki/teams/5061/wiki/figures/team/matheo-cl.webp",
      "keywords": ["Artificial Life", "Biology", "Computation Theory", "Emergence"],
      "description": "I am  a second year bachelor in biology at Aix-Marseille Université and in Computer Sciences at Université Nice-Côte d'Azur, and the dry lab team manager. Above all, I love to learn new things and that's why I'm proud to be part of this project !"
    },
    {
      "name": "Kenan Oggad",
      "image": "",
      "keywords": ["Synthetic Biology", "Bioengineering", "Aging Biology",
                   "Bioinformatics", "Tissue Engineering", "Machine Learning",
                   "Robotics / Automation", "Nanotechnology", "Neurotechnology"],
      "description": "I am currently a second year bachelor student at Paris-Saclay University, majoring in biology and computer science. I am thrilled to be a part of PHAGEVO's dry and wet lab for my first iGEM competition as I've been wanting to participate since high school! Personal website @: https://oggad.com/"
    },
    
    {
      "name": "Tom Zaplana",
      "image": "",
      "keywords": [""],
      "description": "I am a PhD student in Synthetic Biology / Metabolic Engineering at Genoscope (CEA), Evry, France."
    },
    {
      "name": "Chloe Seyman",
      "image": "",
      "keywords": ["Bioinformatics", "Ecology", "Microbiology"],
      "description": "I am a PhD student in Marine Microbiology at Genoscope (CEA), Evry, France. I work on microalgae and I am combining experimental work, Tara Oceans data and bioinformatics to decipher the expression and the function of some genes. I participated two times in iGEM with the Evry Paris-Saclay team, and now I am still in the team but as an advisor."
    },
    
    {
      "name": "Ioana Popescu",
      "image": "",
      "keywords": ["Biochemistry","Molecular Biology","Metabolic Engineering","Synthetic Biology"],
      "description": "Associate Professor at University of Evry Paris-Saclay, where I teach courses in biochemistry, molecular biology, metabolic engineering, and synthetic biology. In addition, I am the director of mSSB, master 2 in Systems and Synthetic Biology, and in charge of the practical courses in synthetic biology and rational protein design dispensed in this master. mSSB is one of the first and few master programs proposed in Europe teaching synthetic biology. Since 2017, I’m the primary PI of the iGEM Evry Paris-Saclay team. My current research activities are oriented to metabolic and biosensors engineering."
    }
];

function displayTeam() {
  let container = S('#team-list')
  let n = 5
  
  for(let m=0; m < team.length; m++) {
    let member = team[m]
    image = `https://static.igem.wiki/teams/5061/wiki/figures/team/${member.name.split(' ')[0].toLowerCase()}-color.png`

    if(member.image && member.image.length > 0) {
      image = member.image
    }

    container.innerHTML += `<div class="member"
      data-name="${member.name}"
      data-keywords="${member.keywords.join(';')}"
      data-description="${member.description}"
      data-y="${Math.floor(m/n)}"
      data-x="${m - (Math.floor(m/n) * n)}"
      onclick="details(this)"
    >
      <img src="${image}"
      onerror="this.src='https://static.igem.wiki/teams/5061/wiki/figures/team/default-logo.webp';">
      <span class="pname">${member.name.split(' ')[0]}</span>
      <span class="name">${member.name.split(' ').slice(1).join(' ')}</span>
    </div>`
  }
}

function details(el) {
  
  let popup = S('#team-popup')
  let w = el.getBoundingClientRect().width;
  let h = el.getBoundingClientRect().height;
  let n = +getComputedStyle(el).getPropertyValue('--n').replaceAll('px', '');
  let p = +getComputedStyle(el).getPropertyValue('--p').replaceAll('px', '');
  let x = +el.getAttribute('data-x')
  let y = +el.getAttribute('data-y')

  if(x <= 2) {
    popup.style.right = `unset`
    popup.style.left = `${(x+1)*w + x*p + 50}px`
  } else {
    popup.style.left = `unset`
    popup.style.right = `${(n-x)*w + (n-x)*p + 50}px`
  }

  popup.style.top = `calc(${y*h + y*p + 50}px + 100vh)`

  popup.innerHTML = `
    <span class="name">${el.getAttribute('data-name')}</span>
    <div class="keywords"><span class="tag">${el.getAttribute('data-keywords').split(';').join('</span><span class="tag">')}</span></div>
    <span class="keywords">${el.getAttribute('data-description')}</span>
    <a class="close-btn" onclick="this.parentNode.classList.add('hidden')">✖</a>
  `
  popup.classList.remove('hidden')
}

displayTeam()